ur_rna.Utilities

## Class SimpleDataSerializer.SSONMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<java.lang.String,java.lang.Object>
      - - ur_rna.Utilities.SimpleDataSerializer.SSONMap

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>
  Enclosing class:
    SimpleDataSerializer

      public static class SimpleDataSerializer.SSONMap
      extends java.util.LinkedHashMap<java.lang.String,java.lang.Object>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSONMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsAnyKey(java.lang.String... keys)`
    `boolean` | `get(java.lang.String name, boolean defaultValue)`
    `double` | `get(java.lang.String name, double defaultValue)`
    `float` | `get(java.lang.String name, float defaultValue)`
    `int` | `get(java.lang.String name, int defaultValue)`
    `java.lang.String` | `get(java.lang.String name, java.lang.String defaultValue)`
    `SimpleDataSerializer.SSONList` | `getList(java.lang.String name)`
    `SimpleDataSerializer.SSONMap` | `getMap(java.lang.String name)`
    `SimpleDataSerializer.SSONList` | `putList(java.lang.String key)`
    `SimpleDataSerializer.SSONMap` | `putMap(java.lang.String key)`

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- - ### Constructor Detail

    - #### SSONMap

          public SSONMap()

  - ### Method Detail

    - #### containsAnyKey

          public boolean containsAnyKey(java.lang.String... keys)

    - #### get

          public boolean get(java.lang.String name,
                             boolean defaultValue)

    - #### get

          public double get(java.lang.String name,
                            double defaultValue)

    - #### get

          public float get(java.lang.String name,
                           float defaultValue)

    - #### get

          public int get(java.lang.String name,
                         int defaultValue)

    - #### get

          public java.lang.String get(java.lang.String name,
                                      java.lang.String defaultValue)

    - #### getList

          public SimpleDataSerializer.SSONList getList(java.lang.String name)

    - #### getMap

          public SimpleDataSerializer.SSONMap getMap(java.lang.String name)

    - #### putList

          public SimpleDataSerializer.SSONList putList(java.lang.String key)

    - #### putMap

          public SimpleDataSerializer.SSONMap putMap(java.lang.String key)